DEVICE=$1
EXP_NAME=$2
PB=$3
GB=$4
MB=$5
SMB=$6
P_NUM_MODE=$7
G_NUM_MODE=$8
M_NUM_MODE=$9
SQM_NUM_MODE=$10
UNBIASED_SQMM=$11
MICRO=$12
REQUANT_P=$13
REQUANT_MM=$14
P_DILATE=${15:-10}
BATCH=${16:-512}
LR=${17:-0.512}
WARMUP=${18:-8}

CUDA_VISIBLE_DEVICES=$DEVICE \
  python ./launch.py --model resnet50 \
  --precision FP32 \
  --mode convergence \
  --platform DGX1V \
  ~/ImageNet \
  --epochs 90 \
  --mixup 0.0 \
  --workspace $EXP_NAME \
  --raport-file raport.json \
  --optimizer adam \
  -b $BATCH \
  --optimizer-batch-size $BATCH \
  --lr $LR \
  --warmup $WARMUP \
  --no-checkpoint \
  --lbmqt \
  --pb $PB \
  --gb $GB \
  --mb $MB \
  --smb $SMB \
  --numerical-mode-p $P_NUM_MODE \
  --numerical-mode-grad $G_NUM_MODE \
  --numerical-mode-mm $M_NUM_MODE \
  --numerical-mode-sqmm $SQM_NUM_MODE \
  --unbiased-sqmm-flag $UNBIASED_SQMM \
  --num-micro-batches $MICRO \
  --num-steps-requantization-p $REQUANT_P \
  --num-steps-requantization-mm $REQUANT_MM \
  --params-range-dilation $P_DILATE