DEVICE=$1
EXP_NAME=$2
PB=$3
GB=$4
MB=$5
P_NUM_MODE=$6
G_NUM_MODE=$7
M_NUM_MODE=$8
MICRO=$9
REQUANT_P=$10
REQUANT_MM=$11
INIT_DILATE=${12:-1}
FREEZE_DILATE=${13:-1}
EPOCH_FIX_SCALE=${14:-80}
BATCH=${15:-256}
LR=${16:-0.256}
WARMUP=${17:-4}
STOCHASTIC=$18

CUDA_VISIBLE_DEVICES=$DEVICE \
  python ./launch.py --model resnet50 \
  --precision FP32 \
  --mode convergence \
  --platform DGX1V \
  ~/ImageNet \
  --epochs 90 \
  --mixup 0.0 \
  --workspace $EXP_NAME \
  --raport-file raport.json \
  -b $BATCH \
  --optimizer-batch-size $BATCH \
  --lr $LR \
  --warmup $WARMUP \
  --no-checkpoint \
  --lbmqt \
  --pb $PB \
  --gb $GB \
  --mb $MB \
  --numerical-mode-p $P_NUM_MODE \
  --numerical-mode-grad $G_NUM_MODE \
  --numerical-mode-mm $M_NUM_MODE \
  --num-micro-batches $MICRO \
  --num-steps-requantization-p $REQUANT_P \
  --num-steps-requantization-mm $REQUANT_MM \
  --params-initial-dilation $INIT_DILATE \
  --params-freeze-dilation $FREEZE_DILATE \
  --epochs-fix-scale $EPOCH_FIX_SCALE \
  --sq $STOCHASTIC \
  --epochs 30