DEVICE=$1
EXP_NAME=$2
PB=$3
GB=$4
P_NUM_MODE=$5
G_NUM_MODE=$6
MICRO=$7
REQUANT_P=$8
P_DILATE=${9:-10}
BATCH=${10:-512}
LR=${11:-0.512}
WARMUP=${12:-8}

CUDA_VISIBLE_DEVICES=$DEVICE \
  python ./launch.py --model resnet50 \
  --precision FP32 \
  --mode convergence \
  --platform DGX1V \
  ~/ImageNet \
  --epochs 90 \
  --mixup 0.0 \
  --workspace $EXP_NAME \
  --raport-file raport.json \
  -b $BATCH \
  --optimizer-batch-size $BATCH \
  --lr $LR \
  --warmup $WARMUP \
  --momentum 0.0 \
  --no-checkpoint \
  --lbmqt \
  --pb $PB \
  --gb $GB \
  --numerical-mode-p $P_NUM_MODE \
  --numerical-mode-grad $G_NUM_MODE \
  --num-micro-batches $MICRO \
  --num-steps-requantization-p $REQUANT_P \
  --params-range-dilation $P_DILATE