
class QuantizationConfig(object):
    def __init__(self):
        self.simulate = False

        self.enable_quantize_p = True
        self.enable_quantize_grad = True
        self.enable_quantize_mm = True
        self.enable_quantize_sqmm = True

        self.compression_bits_p = 8
        self.compression_bits_grad = 8
        self.compression_bits_mm = 4
        self.compression_bits_sqmm = 8
        self.pergroup = True
        self.stochastic = True
        self.group_size = 2048
        self.training = True
        self.device = 'cuda'
        self.quantifiable_lower_bound = 4096

        self.qt_range_modes = ['absmax', 'zero-point'] # TODO: add more range modes / scale computation method
        self.qt_numerical_modes = ['linear', 'nonlinear']
        self.default_range_mode = 'absmax'
        self.default_numerical_mode = 'linear'
        self.numerical_mode_p = None
        self.numerical_mode_grad = None
        self.numerical_mode_mm = None
        self.numerical_mode_sqmm = None
        
        # quantization technique
        self.steps_requantization_p = 100
        self.steps_requantization_mm = 1
        self.save_grad_outlier = True
        self.unbiased_sqmm_flag = True
        self.params_initial_dilation = 1
        self.params_freeze_dilation = 1
        self.epochs_fix_scale = 80

        # Memory management flag
        self.empty_cache_threshold = None
        self.cudnn_benchmark_conv2d = True

        # Debug related flag
        self.debug = False
        self.debug_quantize_func = False
        self.debug_layers_backward = False
        self.debug_memory_model = False
        self.debug_quantization_difference = True
        self.debug_proba_hist = True
        self.debug_GOR_freq = 1000


config = QuantizationConfig()
