from setuptools import setup, Extension, find_packages
from torch.utils.cpp_extension import CUDAExtension, BuildExtension

setup(name='lbmqt',
    ext_modules=[
        CUDAExtension(
            'lbmqt.cpp_extension.quantization',
            ['lbmqt/cpp_extension/quantization.cc', 'lbmqt/cpp_extension/quantization_kernel.cu']
        ),
        CUDAExtension(
            'lbmqt.cpp_extension.backward_func',
            ['lbmqt/cpp_extension/backward_func.cc']
        ),
    ],
    cmdclass={
        'build_ext': BuildExtension
    },
    packages=find_packages(exclude=[
        "examples"
    ])
)
